/***************************************************************
 * Name:      fretlessApp.cpp
 * Purpose:   Code for Application Class
 * Author:    John Conner Atkeson ()
 * Created:   2007-12-02
 * Copyright: John Conner Atkeson (http://jca3.freeshell.org)
 * License:
 **************************************************************/

#include "wx_pch.h"
#include "fretlessApp.h"

//(*AppHeaders
#include "fretlessMain.h"
#include <wx/image.h>
//*)
#include "audio.h"

IMPLEMENT_APP(fretlessApp);

bool fretlessApp::OnInit()
{
  //(*AppInitialize
  wxApp::OnInit();
  bool wxsOK = true;
  wxInitAllImageHandlers();
  if ( wxsOK )
  {
    fretlessFrame* Frame = new fretlessFrame(0);
    Frame->Show();
    SetTopWindow(Frame);
  }
  //*)
  return wxsOK;

};
void fretlessApp::OnInitCmdLine(wxCmdLineParser& parser)
{
  parser.SetDesc(g_cmdLineDesc);
  // must refuse '/' as parameter starter or cannot use "/path" style paths
  parser.SetSwitchChars (wxT("-"));
  parser.Parse(true);
};
bool fretlessApp::OnCmdLineParsed(wxCmdLineParser& parser)
{
  // bool silent_mode = parser.Found(wxT("s"));

  long longparam = 0;
  bool has_num = parser.Found(wxT("i"), &longparam);
  if (has_num){
    num_iterations = longparam;
  }else{
    num_iterations = 1;
  }

  // to get at your unnamed parameters use
  wxArrayString files;
  for (int i = 0; i < parser.GetParamCount(); i++)
  {
    wxString pm = parser.GetParam(i);
    files.Add(parser.GetParam(i));
  }
  // and other command line parameters
  // then do what you need with them.
  return true;
};



