/***************************************************************
 * Name:      gaudio.h
 * Purpose:   For drawing music
 * Author:    John Conner Atkeson
 * Created:   2008-02-28
 * Copyright: John Conner Atkeson (http://jca3.freeshell.org)
 * License:   LGPL
 **************************************************************/
#ifndef GAUDIO_H_INCLUDED
#define GAUDIO_H_INCLUDED

#include "audio.h"
/* This particular library is for all of the gui rendering etc. of audio.h objects. */
/* ************************************************************************************************************ */
class Drawable_Class{// does this even contain gui stuff?  yep wxDC.
public:
  Drawable_Class::Drawable_Class(){};
  virtual void drawme(wxDC *dc){/* do we need to know scale or box_mapper to do this? wxDC& dc */};
  virtual bool touchedme(int mousex,int mousey){ return false; };
  virtual bool touched_my_handle(int mousex,int mousey){ return false; };
};
/* ************************************************************************************************************ */
class GEvent_Marker_Class : public Drawable_Class, public Event_Marker_Class{
};
/* ************************************************************************************************************ */
class GVoice_Track_Class : public Drawable_Class, public Voice_Track_Class{
public:
  GVoice_Track_Class::GVoice_Track_Class(Signal_Generator_Class *new_sgen):Voice_Track_Class(new_sgen){// constructor
  };
};
/* ************************************************************************************************************ */
class GGroup_Class : public Drawable_Class, public Group_Class{
};
/* ************************************************************************************************************ */
class GTime_Vine_Class : public Drawable_Class, public Time_Vine_Class{
};
/* ************************************************************************************************************ */
class GPlayable_Tree_Class : public Drawable_Class, public Playable_Tree_Class{
};
#endif // GAUDIO_H_INCLUDED


